# MaxDaysOffline

Set or get the number of days the app can work offline. ValidateOnServer must be true for this setting to take effect.

If MaxDaysOffline is -1, the application can work offline indefinitely.

If MaxDaysOffline is 0, the application must be online all the time.

When the MaxDaysOffline threshold is reached, the action defined in OfflinePeriodExceededAction is executed.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/properties/maxdaysoffline.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
